import { p as proxyCustomElement, H, h } from './p-a53686b3.js';
import { r as randomIdGenerator } from './p-ffe5c0e8.js';

const iconPaperclipCss = ".sc-digi-icon-paperclip-h{--digi--icon--color:var(--digi--color--icon--primary);--digi--icon--width:initial;--digi--icon--height:auto;display:flex;min-height:1.4em;align-items:center}.sc-digi-icon-paperclip-h svg.sc-digi-icon-paperclip{color:var(--digi--icon--color);max-width:var(--digi--icon--width);max-height:var(--digi--icon--height);width:var(--digi--icon--width, auto);height:var(--digi--icon--height, auto)}";
const DigiIconPaperclipStyle0 = iconPaperclipCss;

const IconPaperclip = /*@__PURE__*/ proxyCustomElement(class IconPaperclip extends H {
    constructor() {
        super();
        this.__registerHost();
        this.afTitle = undefined;
        this.afDesc = undefined;
        this.afSvgAriaHidden = true;
        this.afSvgAriaLabelledby = undefined;
        this.titleId = randomIdGenerator('icontitle');
    }
    render() {
        return (h("svg", { key: '0e1f0de90dde673671f57056f49ac1f081e1db23', class: "digi-icon-paperclip", width: "23", height: "26", viewBox: "0 0 23 26", "aria-hidden": this.afSvgAriaHidden ? 'true' : 'false', "aria-labelledby": this.afSvgAriaLabelledby
                ? this.afSvgAriaLabelledby
                : this.afTitle
                    ? this.titleId
                    : undefined, xmlns: "http://www.w3.org/2000/svg" }, this.afTitle && h("title", { key: 'c6c2d7dc2a10fce3739319d7fe27be87af4e1268', id: this.titleId }, this.afTitle), this.afDesc && h("desc", { key: 'e47c40802f1e5b5a4c7e5dd54c70a7808180ad83' }, this.afDesc), h("path", { key: '8bf2139e02d59279451c845842bec7147ea22d19', class: "digi-icon-paperclip__shape", d: "M2.157 23.79c-2.876-2.947-2.876-7.715 0-10.662L13.31 1.7a5.586 5.586 0 018.026 0c2.218 2.273 2.219 5.951 0 8.224l-9.391 9.623a3.93 3.93 0 01-5.647 0 4.16 4.16 0 010-5.787l7.954-8.15a.585.585 0 01.84 0l.842.863a.62.62 0 010 .861l-7.954 8.15a1.682 1.682 0 000 2.339c.63.645 1.653.645 2.283 0L19.654 8.2a3.434 3.434 0 000-4.776 3.244 3.244 0 00-4.662 0L3.84 14.852c-1.946 1.993-1.946 5.22 0 7.214a4.895 4.895 0 007.047-.002c3.236-3.318 6.472-6.636 9.71-9.953a.585.585 0 01.84 0l.842.862a.62.62 0 010 .861 37929.73 37929.73 0 00-9.71 9.953 7.233 7.233 0 01-10.411.002z", fill: "currentColor", "fill-rule": "nonzero" })));
    }
    static get style() { return DigiIconPaperclipStyle0; }
}, [2, "digi-icon-paperclip", {
        "afTitle": [1, "af-title"],
        "afDesc": [1, "af-desc"],
        "afSvgAriaHidden": [4, "af-svg-aria-hidden"],
        "afSvgAriaLabelledby": [1, "af-svg-aria-labelledby"],
        "titleId": [32]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["digi-icon-paperclip"];
    components.forEach(tagName => { switch (tagName) {
        case "digi-icon-paperclip":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, IconPaperclip);
            }
            break;
    } });
}

export { IconPaperclip as I, defineCustomElement as d };
